dnl
dnl  $Id: acinclude.m4,v 0.01 2005/06/25 10:19:22 Takahasi Exp $
dnl

AC_DEFUN([AC_VER_DBUS], [
	if test -z "$PKG_CONFIG"; then
		AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
	fi
	if test "$PKG_CONFIG" = "no" ; then
		echo "*** The pkg-config script could not be found. It is"
		echo "*** required for check D-BUS version. Make sure it is"
		echo "*** in your path, or set the PKG_CONFIG environment"
		echo "*** variable to the full path to pkg-config."
	else
		
		if $PKG_CONFIG --exists "dbus-1" ; then
			AC_MSG_CHECKING([dbus version])

			DBUS_VERSION=`$PKG_CONFIG --modversion dbus-1`
			DBUS_MAJOR_VER=`echo $DBUS_VERSION | cut -d. -f 1`
			DBUS_MINOR_VER=`echo $DBUS_VERSION | cut -d. -f 2`
			DBUS_MICRO_VER=`echo $DBUS_VERSION | cut -d. -f 3`

			AC_MSG_RESULT($DBUS_VERSION)
			AC_DEFINE_UNQUOTED(DBUS_MAJOR_VER, $DBUS_MAJOR_VER, [D-BUS major version.])
			AC_DEFINE_UNQUOTED(DBUS_MINOR_VER, $DBUS_MINOR_VER, [D-BUS minor version.])
			AC_DEFINE_UNQUOTED(DBUS_MICRO_VER, $DBUS_MICRO_VER, [D-BUS micro version.])
			
			AC_DEFINE_UNQUOTED(DBUS_API_SUBJECT_TO_CHANGE, ,DBUS API is subject to change)
			
		else
			AC_MSG_ERROR("D-BUS library not found")
		fi 

	fi
])